## qemu-kvm 0.15.1+dfsg

=== debian/changelog ===
qemu-kvm (0.15.1+dfsg-1) unstable; urgency=low

  * new upstream bugfix release 0.15.1
  * refreshed debian/patches/04_use_etc_kvm_kvm-ifup.patch
  * added two-pieces fix for CVE-2011-3346:
    scsi-disk-commonize-iovec-creation-between-reads-and-writes-103b40f51e-CVE-2011-3346.diff
    scsi-disk-lazily-allocate-bounce-buffer-7285477ab1-CVE-2011-3346.diff
    backported from upstream (closes: #646118)
  * remove extra/default stuff from debian/gbp.conf
  * remove many unneeded build-dependencies from debian/control
  * bump Standards-Version to 3.9.2 (no changes needed)
  * add debhelper tags to qemu-kvm.{preinst,postrm} or else lintian complains
  * removed a typo in qemu-kvm.init that referenced /dev/.udev but
    in incorrect way so it never actually worked (Closes: #644324)
  * upload to unstable (closes: #645976)

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 21 Oct 2011 17:06:43 +0400

qemu-kvm (0.15.0+dfsg-2) experimental; urgency=low

  * applied build-move-QEMU_INCLUDES-before-QEMU_CFLAGS-76dc3cf82c.diff
    from upstream (-stable) to fix build breakage with spice installed
  * add spice build-dependency (libspice-server-dev and libspice-protocol-dev)
  * disable guest-agent for now, it needs to go into separate package

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 30 Aug 2011 00:07:30 +0400

qemu-kvm (0.15.0+dfsg-1) experimental; urgency=low

  * Build-Depend on librbd-dev (in addition to librados-dev)
  * update to 0.15.0 final release

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 10 Aug 2011 01:36:33 +0400

qemu-kvm (0.15.0~rc1+dfsg-1) experimental; urgency=low

  * new upstream (release candidate) (closes: #623858, #636105)
  * remove extra/default stuff from debian/gbp.conf
  * remove many unneeded build-dependencies from debian/control
  * bump Standards-Version to 3.9.2 (no changes needed)
  * add build-dependency on libglib2.0-dev
  * remove unneded patches, refresh needed patches, refresh pxe rom names
  * perform build in a build/ subdir for easier cleaning
  * set Maintainer: to me and add Jan Lübbe to Uploaders.
    Thank you Jan and Guido for all the hard work!

qemu-kvm (0.14.1+dfsg-4) unstable; urgency=low

  * switch from etherboot-qemu to ipxe (closes: #634040, #612775)
  * explicitly chown/chmod /dev/kvm in postinst if owned by root:root,
    for new installs when udev hasn't picked up new rules yet
    (closes: #607391)

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 26 Jul 2011 11:13:42 +0400

qemu-kvm (0.14.1+dfsg-3) unstable; urgency=high

  * virtio-fix-indirect-descriptor-buffer-overflow-CVE-2011-2212
    fixes a guest-triggerable buffer overflow in virtio handling
    (closes: #632987)
  * os-posix-set-groups-properly-for--runas-CVE-2011-2527
    clears supplementary groups for -runas (closes: #633669)
  * two security updates so urgency is high

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 13 Jul 2011 00:59:47 +0400

qemu-kvm (0.14.1+dfsg-2) unstable; urgency=high

  * virtio: guard against negative vq notifies -- fixes a guest-triggerable
    bug in virtio implementation (CVE-2011-2512) (Closes: #631975)
    Urgency is high due to security fix.

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 29 Jun 2011 00:53:54 +0400

qemu-kvm (0.14.1+dfsg-1) unstable; urgency=low

  * new upstream 0.14.1 stable/bugfix release
    (closes: #616159, #624177)
  * remove vgabios package entirely finally, when it's properly
    packaged in debian (and depend on it) (Closes: #489442)
  * ship vgabios.bin link too, for now.  It's not used but helps for
    older versions of qemu-kvm.
  * add $(QEMU_KVM_CONFIGURE_OPTIONS) to ./configure flags, to simplify
    local/custom builds.  Does not affect Debian qemu-kvm build.
    Also fix whitespace in that area in debian/rules
  * move init.d script to rcS.d and don't run it on stop
    (Closes: #611952, #540686)
  * remove isa-bus:-Remove-bogus-IRQ-sharing-check-ee951a.diff
    (upstream)
  * build-depend on librados-dev to enable rbd support
  * update kvm-ifup to be a bit more accurate and to warn about
    problem cases.  (closes: #619300, #624006)
  * ignore-pci-unplug-requests-for-unpluggable-devices-CVE-2011-1751.diff
    (closes: #627448)
  * fix-crash-in-migration-32-bit-userspace-on-64-bit-host-51b0c6065a.diff
    (closes: #625571)
  * set-$SDL_VIDEODRIVER=x11-on-Linux-to-prevent-sudo-kvm-from-fighting-for-video-1de9756b97
    (closes: #604844)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 28 May 2011 13:43:40 +0400

qemu-kvm (0.14.0+dfsg-1~tls) unstable; urgency=low

  * 0.14.0 release:
   - much improved vga speed (closes: #575720, #574988)
   - other bugs (closes: #574063, #603424, #604034)
  * removed a ton of old patches that went upstream
  * refreshed some patches to apply cleanly to new code
  * introduced vgabios (0.6c+ca056d8e77) patch and use that
    instead of kvm/vgabios/.  Now we can use separate vgabios package
    (bios files changed. Now we don't ship vgabios.bin anymore)
  * added fix-configure-bin-symlinks.patch to fix ./configure in
    case all blobs in the source are removed
  * don't ship kvmtrace anymore (does not exist upstream?)
  * update debian/rules for the new package layout (esp. "clean" target)
  * enable hda (guest) audio device
  * apply isa-bus:-Remove-bogus-IRQ-sharing-check-ee951a.diff
    from upstream. this makes >4 com ports usable again
    (also removes old isa-refine-irq-reservations.patch)
  * use external seabios package and depend on it (>> 0.6.1.2)
  * move bridge-utils and iproute from Depends to Recommends
  * build-depend on xfslibs-dev (for xfs-specific ioctls, not for the library)
  * switch to 3.0 (quilt) format (and remove clean-patched target)
  * removed 06_no_system_linux_kvm_h.patch (kvm/* isn't used anymore)
  * depend on qemu-utils >> 0.14, and deprecate kvm-img, kvm-nbd and kvm-io
    (provide script wrappers for them that prints a warning and executes a
    real tool from qemu-utils)

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 23 Feb 2011 13:40:53 +0300


