## qemu-kvm 1.0+dfsg

=== debian/changelog ===
qemu-kvm (1.0+dfsg-9) unstable; urgency=low

  * fix ipxe dependency (Closes: #659010, #585170)
  * fix CFLAGS=`` construct to use $(shell ) instead
    (chokes on older make, see #660133)
  * stop shipping 05_report_debian_package_version.patch
    and use --with-pkgversion configure option instead
  * depend on vgabios >= 0.6c-3~ not 0.6c-3, to assist backporting
  * apply qemu-1.0.1.diff -- difference from qemu 1.0 to qemu 1.0.1
    from git, except of version change (this includes CVE-2012-0029 fix)

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 27 Feb 2012 23:47:59 +0400

qemu-kvm (1.0+dfsg-8) unstable; urgency=low

  * Depends on ipxe-qemu or old ipxe (Closes: #658853, #585170)

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 07 Feb 2012 00:59:20 +0400

qemu-kvm (1.0+dfsg-7) unstable; urgency=low

  * Force-enable optional features in ./configure args which are listed
    as build-dependencies, in order to catch things like broken
    dependency which makes corresponding optional feature to be omitted.
    (Closes: #658169)
    Placed all optional features into debian/optional-features file
    instead of hardcoding them in debian/rules, to be able to comment
    on each of them.
    Also rearrange build-deps and sort them alphabetically.
  * Removed debian/gbp.conf (unused)
  * Converted debian/rules to use dh.  Set debian/compat to 8 (and build-depend
    on debhelper >= 8).  This also fixes lintian warnings about missing targets.
  * Added two patches for manpage generation to recognize/use UTF8.
    (Closes: #655911)

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 02 Feb 2012 12:45:28 +0400

qemu-kvm (1.0+dfsg-6) unstable; urgency=high

  [ Michael Tokarev ]
  * patch fix-vnc-memory-corruption-with-width=1440.diff from
    Gerd Hoffman, fixing guest-triggerable memory corruption
    in vnc with one of standard display sizes (1440x1050 or
    1440x900 or others -- these can be set by guest if run
    with -vga {std|vmware}.  Closes: #608756.
  * Build-depend on libvdeplug-dev | libvdeplug2-dev, not just
    libvdeplug2-dev, to cope with the package rename (#658082)
  * Urgency is high again to help previous security fix to enter
    wheezy (which has stalled due to #658082 above)

  [ Moritz Muehlenhoff ]
  * enable usage of dpkg-buildflags for CFLAGS and LDFLAGS
    (this enables hardened build too)  (Closes: #657867)

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 31 Jan 2012 13:09:16 +0400

qemu-kvm (1.0+dfsg-5) unstable; urgency=high

  * urgency high due to security fix
  * e1000-bounds-packet-size-against-buffer-size-CVE-2012-0029.diff
    patch from upstream to fix CVE-2012-0029 (Closes: #657529)

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 27 Jan 2012 00:42:11 +0400

qemu-kvm (1.0+dfsg-4) unstable; urgency=low

  * added Breaks: libvirt0 (<< 0.9.8-2~) since older versions did not
    parse 1.0 version number corrrectly (Closes: #655024)

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 19 Jan 2012 19:20:18 +0400

qemu-kvm (1.0+dfsg-3) unstable; urgency=low

  * ship /etc/kvm/target-x86_64.conf (Closes: #652281)
  * resurrect extboot support which has been removed in qemu-kvm 1.0
    (debian/patches/resurrect-extboot.diff).  (Closes: #652447)
  * build-depend on libiscsi-dev (which has been packaged for Debian
    a few days ago) to enable iscsi support

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 17 Dec 2011 15:03:20 +0400

qemu-kvm (1.0+dfsg-2) unstable; urgency=low

  * mention: (closes: #647312)
    for 1.0 upload
  * upload to unstable

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 16 Dec 2011 12:12:38 +0400

qemu-kvm (1.0+dfsg-1) experimental; urgency=low

  * new upstream release (1.0) (Closes: #624070, #647312)
  * removed obsolete patches, refreshed old patches
  * --disable-smartcard-nss && --disable-smartcard - the
    linkage requiriments (nspr) is too heavy and the link/library
    needs some work still (linking to too many unused libs)
  * require seabios >>1.6.3 (Closes: #648853)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 04 Dec 2011 19:26:40 +0400
