=== debian/control ===
--- 
+++ 
@@ -3,15 +3,29 @@
 Priority: optional
 Maintainer: Michael Tokarev <mjt@tls.msk.ru>
 Uploaders: Guido Günther <agx@sigxcpu.org>, Jan Lübbe <jluebbe@debian.org>
-Build-Depends: debhelper (>= 7.2.3~), pkg-config, texinfo, python,
- uuid-dev, zlib1g-dev, libsdl1.2-dev, libasound2-dev, libcurl4-gnutls-dev,
- libgnutls-dev, libncurses5-dev, libvdeplug2-dev, libpulse-dev, libbluetooth-dev,
- libbrlapi-dev, libpci-dev, libsasl2-dev, libattr1-dev, xfslibs-dev,
+Build-Depends: debhelper (>= 8), pkg-config, texinfo, python,
  libaio-dev,
+ libasound2-dev, 
+ libattr1-dev, 
+ libbluetooth-dev,
+ libbrlapi-dev, 
+ libcurl4-gnutls-dev,
+ libglib2.0-dev,
+ libgnutls-dev, 
+ libiscsi-dev,
+ libncurses5-dev, 
+ libpci-dev, 
+ libpulse-dev, 
+ librados-dev, librbd-dev,
+ libsasl2-dev, 
+ libsdl1.2-dev, 
+ libspice-protocol-dev, 
+ libspice-server-dev (>> 0.8.2-1),
+ libvdeplug-dev | libvdeplug2-dev,
  linux-libc-dev (>= 2.6.32),
- librados-dev, librbd-dev,
- libspice-protocol-dev, libspice-server-dev (>> 0.8.2-1),
- libglib2.0-dev
+ uuid-dev, 
+ xfslibs-dev,
+ zlib1g-dev
 Standards-Version: 3.9.2.0
 Homepage: http://www.linux-kvm.org/
 Vcs-Browser: http://git.debian.org/?p=collab-maint/qemu-kvm.git
@@ -21,12 +35,14 @@
 Architecture: i386 amd64
 Pre-Depends: adduser
 Depends: ${shlibs:Depends}, ${misc:Depends}, python,
- seabios (>> 0.6.1.2), vgabios (>= 0.6c-3),
- qemu-keymaps, qemu-utils (>> 0.14.0), ipxe
+ seabios (>> 1.6.3), vgabios (>= 0.6c-3~),
+ qemu-keymaps, qemu-utils (>> 0.14.0),
+ ipxe-qemu | ipxe (<< 1.0.0+git-20120202.f6840ba-2)
 Recommends: bridge-utils, iproute
 Suggests: debootstrap, vde2, samba
 Provides: kvm
 Conflicts: kvm-source (<= 18-1), kvm-data (<= 66+dfsg-1.1), kvm (<< 1:0)
+Breaks: libvirt0 (<< 0.9.8-2~)
 Replaces: kvm-data (<= 66+dfsg-1.1), kvm (<< 1:0)
 Description: Full virtualization on x86 hardware
  Using KVM, one can run multiple virtual PCs, each running unmodified Linux or
