=== debian/rules ===
--- 
+++ 
@@ -28,6 +28,7 @@
 DEB_BUILD_ARCH     ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 BASE_ARCH := $(DEB_BUILD_ARCH)
 QEMU_ARCH := $(BASE_ARCH)
+DEB_VERSION := $(shell sed -n -e 's/^[^(]* (\([^)]*\)) .*/\1/p' -e1q debian/changelog)
 
 ifeq (i386,$(DEB_BUILD_ARCH))
 	BASE_ARCH := x86
@@ -47,43 +48,43 @@
 	QEMU_EXE = $(QEMU_TAEGET)/qemu-system-ppcemb
 endif
 
-CFLAGS = -Wall -g
-
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
-else
-	CFLAGS += -O2
-endif
-ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-    MAKEFLAGS += -j$(NUMJOBS)
-endif
-
-# make build the default target
-build:
-
-config: build/config-host.mak
-build/config-host.mak: configure
-	dh_testdir
+CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
+CFLAGS += $(shell dpkg-buildflags --get CPPFLAGS)
+CFLAGS += -Wall
+LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
+
+#export DH_OPTIONS = --with=quilt --parallel
+
+.PHONY: binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep
+binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep:
+# "+" in front of dh is to work around dh completely ignoring
+# --parallel and DEB_BUILD_OPTIONS=parallel=NN
+	+dh $@
+
+override_dh_auto_configure config:
 	mkdir -p build/
-	cd build && ../configure --prefix=/usr \
-		    --datadir=${bdir} \
-		    --sysconfdir=/etc \
-		    --audio-drv-list="alsa oss sdl pa" \
-		    --audio-card-list="ac97 es1370 sb16 cs4231a adlib gus hda" \
-		    --disable-strip \
-		    --disable-xen \
-		    --disable-blobs \
-		    --disable-guest-agent \
-		    $(QEMU_KVM_CONFIGURE_OPTIONS)
+	cd build && ../configure \
+		--with-pkgversion="Debian qemu-kvm $(DEB_VERSION)" \
+		--target-list=$(QEMU_TARGET) \
+		--prefix=/usr \
+		--datadir=${bdir} \
+		--sysconfdir=/etc \
+		--extra-cflags="$(CFLAGS)" \
+		--extra-ldflags="$(LDFLAGS)" \
+		--enable-kvm \
+		--disable-strip \
+		--disable-xen \
+		--disable-blobs \
+		--disable-guest-agent \
+		--audio-drv-list="alsa oss sdl pa" \
+		--audio-card-list="ac97 es1370 sb16 cs4231a adlib gus hda" \
+		`sed 's/#.*//' ../debian/optional-features` \
+		$(QEMU_KVM_CONFIGURE_OPTIONS)
 	cat build/config-host.mak
 
-build: build/build-stamp
-build/build-stamp: build/config-host.mak
-	dh_testdir
-
+override_dh_auto_build:
 # main executable and support tools
-	$(MAKE) -C build/ ROMS=
+	$(MAKE) -C build/ ROMS= TOOLS=
 
 # arch-specific stuff
 
@@ -91,25 +92,16 @@
 	$(MAKE) -C build/pc-bios bamboo.dtd
 endif
 
-	touch $@
-
-clean:
-	dh_testdir
+override_dh_auto_test:
+
+override_dh_auto_clean:
 	rm -rf build/
-	# clean up upstream leftovers
 	rm -f scripts/*.pyc
-	dh_clean
-
-install: build/install-stamp
-build/install-stamp: build/build-stamp
-	dh_testdir
-	dh_testroot
-	dh_prep
-	dh_installdirs
+
+override_dh_auto_install:
 
 # qemu builds only a few files and we will rename them all anyway,
 # so install it all here manually.
-
 	install -Dp build/$(QEMU_EXE) ${tdir}/usr/bin/kvm
 	install -Dp build/qemu.1 ${tdir}/usr/share/man/man1/kvm.1
 	sed 's|@@|img|g' debian/kvm-utils.run > ${tdir}/usr/bin/kvm-img
@@ -154,49 +146,28 @@
 	 $(ipxe)/rtl8139.rom $(bdir)/pxe-rtl8139.rom \
 	 $(ipxe)/virtio-net.rom $(bdir)/pxe-virtio.rom \
 
+# x86 cpu definitions
+	install -Dp -m 0644 \
+	  sysconfigs/target/target-x86_64.conf \
+	  ${tdir}/etc/kvm/target-x86_64.conf
 endif
 
 ifeq (powerpc,$(BASE_ARCH))
 	cp build/pc-bios/bamboo.dtd ${tbdir}/bamboo.dtd
 endif
 
-	touch $@
-
-binary-indep:
-
-binary-arch: build/install-stamp
-	dh_testdir -s
-	dh_testroot -s
-#	dh_installdebconf -s
-	dh_installdocs -a build/qemu-doc.html build/qemu-tech.html \
-		docs/*.txt docs/specs
-#	dh_installexamples -s
-#	dh_installmenu -s
-#	dh_installlogrotate -s
-#	dh_installemacsen -s
-#	dh_installpam -s
-#	dh_installmime -s
-	dh_installudev
-	dh_installinit -s --noscripts
-#	dh_installcron -s
-#	dh_installinfo -s
-	dh_bugfiles
-	dh_installchangelogs
-	dh_strip -s --dbg-package=qemu-kvm-dbg
-	dh_lintian
-	dh_link -s
-	dh_compress -s
-	dh_fixperms -s
-#	dh_makeshlibs -s
-	dh_installdeb -s
-#	dh_perl -s
-	dh_shlibdeps -s
-	dh_gencontrol -s -Nkvm
+override_dh_installinit:
+	dh_installinit --noscripts
+
+override_dh_strip:
+	dh_strip --dbg-package=qemu-kvm-dbg
+
+override_dh_gencontrol:
+	dh_gencontrol -Nkvm
 	dh_gencontrol -pkvm -- -v1:$(DEB_VERSION)
-	dh_md5sums -s
-	dh_builddeb -s
-
-binary: binary-indep binary-arch
+
+.PHONY: config
+.PHONY: override_dh_auto_configure override_dh_auto_build override_dh_auto_test override_dh_auto_clean override_dh_auto_install override_dh_installinit override_dh_strip override_dh_gencontrol
 
 # get-orig-source adapted from /usr/share/gnome-pkg-tools/1/rules/sf-get-source.mk from the gnome-pkg-tools package
 # copied from CDBS' buildvars
@@ -248,4 +219,3 @@
 		pc-bios/video.x \
 		pc-bios/optionrom/*.bin \
 		.git?*
-	cd $(DEB_TARBALL_DOWNLOAD_DIR) && \
